%define upstream_name    File-Finder
%define upstream_version 0.53

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Steps for File::Finder
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/File/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Test::More)
BuildRequires: perl(Text::Glob)
BuildArch: noarch


%description
'File::Find' is great, but constructing the 'wanted' routine can sometimes
be a pain. This module provides a 'wanted'-writer, using syntax that is
directly mappable to the _find_ command's syntax.

Also, I find myself (heh) frequently just wanting the list of names that
match. With 'File::Find', I have to write a little accumulator, and then
access that from a closure. But with 'File::Finder', I can turn the problem
inside out.

A 'File::Finder' object contains a hash of 'File::Find' options, and a
series of steps that mimic _find_'s predicates. Initially, a 'File::Finder'
object has no steps. Each step method clones the previous object's options
and steps, and then adds the new step, returning the new object. In this
manner, an object can be grown, step by step, by chaining method calls.
Furthermore, a partial sequence can be created and held, and used as the
head of many different sequences.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.530.0-10.mga8
+ Revision: 1494479
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.530.0-9.mga7
+ Revision: 1267947
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.530.0-8.mga6
+ Revision: 1027297
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.530.0-7.mga6
+ Revision: 948553
- Mageia 6 Mass Rebuild

* Sat Oct 18 2014 umeabot <umeabot> 0.530.0-6.mga5
+ Revision: 787988
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.530.0-5.mga5
+ Revision: 750914
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.530.0-4.mga5
+ Revision: 684728
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.530.0-3.mga4
+ Revision: 511534
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.530.0-2.mga3
+ Revision: 367242
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 jquelin <jquelin> 0.530.0-1.mga1
+ Revision: 31989
- mageia rebuild
- imported package perl-File-Finder

